import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

@immutable
abstract class ProfileEvent extends Equatable {

  const ProfileEvent();

  @override
  List<Object> get props => [];
}

class GetProfileEvent extends ProfileEvent {

}

class UpdateProfileEvent extends ProfileEvent {

}

// 上传头像
class UploadImageEvent extends ProfileEvent {
  final String filePath;

  UploadImageEvent({@required this.filePath}) : super();
}

// 更新头像
class UpdateAvatarEvent extends ProfileEvent {
  final String avatar;

  UpdateAvatarEvent({@required this.avatar}) : super();
}


// 更新昵称
class UpdateNicknameEvent extends ProfileEvent {
  final String nickname;

  UpdateNicknameEvent({@required this.nickname}) : super();
}

// 更新个性签名
class UpdateDescriptionEvent extends ProfileEvent {
  final String description;

  UpdateDescriptionEvent({@required this.description}) : super();
}