// import 'package:meta/meta.dart';

import 'package:bytedesk_kefu/http/bytedesk_thread_api.dart';
import 'package:bytedesk_kefu/model/requestThread.dart';
import 'package:bytedesk_kefu/model/model.dart';
// import 'package:http/http.dart' as http;

class ThreadRepository {
  //
  final BytedeskThreadHttpApi bytedeskHttpApi = BytedeskThreadHttpApi();

  ThreadRepository();

  Future<List<Thread>> getThreads() async {
    return await bytedeskHttpApi.getThreads();
  }

  Future<List<Thread>> getHistoryThreads(int page, int size) async {
    return await bytedeskHttpApi.getHistoryThreads(page, size);
  }

  Future<List<Thread>> getVisitorThreads(int page, int size) async {
    return await bytedeskHttpApi.getVisitorThreads(page, size);
  }

  Future<RequestThreadResult> requestThread(
      String wid, String type, String aid) async {
    return await bytedeskHttpApi.requestThread(wid, type, aid);
  }

  Future<RequestThreadResult> requestAgent(
      String wid, String type, String aid) async {
    return await bytedeskHttpApi.requestAgent(wid, type, aid);
  }

  Future<RequestThreadResult> requestContactThread(String cid) async {
    return await bytedeskHttpApi.requestContactThread(cid);
  }

  Future<RequestThreadResult> requestGroupThread(String gid) async {
    return await bytedeskHttpApi.requestGroupThread(gid);
  }


}
